# Class GenerateEclipseWtpFacet

java.lang.Object
org.gradle.api.internal.AbstractTask
org.gradle.api.DefaultTask
org.gradle.api.internal.ConventionTask
org.gradle.plugins.ide.api.GeneratorTask<WtpFacet>
org.gradle.plugins.ide.api.XmlGeneratorTask<WtpFacet>
org.gradle.plugins.ide.eclipse.GenerateEclipseWtpFacet

All Implemented Interfaces:
  `Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.IConventionAware, org.gradle.api.internal.TaskInternal, Named, ExtensionAware, Task, Configurable<Task>`

@Deprecated @DisableCachingByDefault(because="Not made cacheable, yet") public abstract class GenerateEclipseWtpFacet extends XmlGeneratorTask<WtpFacet>
Deprecated.
Will be removed in Gradle 10.
Generates the org.eclipse.wst.common.project.facet.core settings file for Eclipse WTP. If you want to fine tune the eclipse configuration

At this moment nearly all configuration is done via `EclipseWtpFacet`.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from interface Named

  `Named.Namer`

- ## Field Summary

  ### Fields inherited from class GeneratorTask

  `afterConfigured, beforeConfigured, domainObject, generator`

  ### Fields inherited from interface Task

  `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GenerateEclipseWtpFacet()`
  Deprecated.
  `GenerateEclipseWtpFacet(EclipseWtpFacet facet)`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `configure(WtpFacet xmlFacet)`
  Deprecated.
  `protected WtpFacet`
  `create()`
  Deprecated.
  `protected void`
  `generate()`
  Deprecated.
  `EclipseWtpFacet`
  `getFacet()`
  Deprecated.
  The Eclipse WTP facet model containing the details required to generate the settings file.
  `org.gradle.internal.xml.XmlTransformer`
  `getXmlTransformer()`
  Deprecated.
  `void`
  `setFacet(EclipseWtpFacet facet)`
  Deprecated.

  ### Methods inherited from class GeneratorTask

  `getIncremental, getInputFile, getInputFileIfExists, getInstantiator, getOutputFile, setInputFile, setOutputFile`

  ### Methods inherited from class org.gradle.api.internal.ConventionTask

  `conventionMapping, conventionMapping, getConventionMapping`

  ### Methods inherited from class DefaultTask

  `compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOutputs, getPath, getProject, getShouldRunAfter, getState, getTaskDependencies, getTemporaryDir, getTimeout, hasProperty, mustRunAfter, onlyIf, onlyIf, onlyIf, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setMustRunAfter, setOnlyIf, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, usesService`

  ### Methods inherited from class org.gradle.api.internal.AbstractTask

  `acceptServiceReferences, appendParallelSafeAction, doNotTrackState, doNotTrackStateIf, getAsDynamicObject, getIdentityPath, getImpliesSubProjects, getLifecycleDependencies, getLoggingManager, getOnlyIf, getReasonNotToTrackState, getReasonsNotToTrackState, getReasonTaskIsIncompatibleWithConfigurationCache, getRequiredServices, getServices, getSharedResources, getStandardOutputCapture, getTaskActions, getTaskIdentity, getTemporaryDirFactory, hasTaskActions, injectIntoNewInstance, isCompatibleWithConfigurationCache, isEnabled, isHasCustomActions, notCompatibleWithConfigurationCache, prependParallelSafeAction, restoreOnlyIf, restoreTaskActions, setImpliesSubProjects`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface Task

  `doNotTrackState, notCompatibleWithConfigurationCache`

- ## Constructor Details

  - ### GenerateEclipseWtpFacet

    public GenerateEclipseWtpFacet()
    Deprecated.

  - ### GenerateEclipseWtpFacet

    @Inject public GenerateEclipseWtpFacet(EclipseWtpFacet facet)
    Deprecated.

- ## Method Details

  - ### generate

    protected void generate()
    Deprecated.
    Overrides:
      `generate` in class `GeneratorTask<WtpFacet>`

  - ### create

    protected WtpFacet create()
    Deprecated.
    Specified by:
      `create` in class `XmlGeneratorTask<WtpFacet>`

  - ### configure

    protected void configure(WtpFacet xmlFacet)
    Deprecated.
    Specified by:
      `configure` in class `XmlGeneratorTask<WtpFacet>`

  - ### getXmlTransformer

    public org.gradle.internal.xml.XmlTransformer getXmlTransformer()
    Deprecated.
    Overrides:
      `getXmlTransformer` in class `XmlGeneratorTask<WtpFacet>`

  - ### getFacet

    @Internal public EclipseWtpFacet getFacet()
    Deprecated.
    The Eclipse WTP facet model containing the details required to generate the settings file.

  - ### setFacet

    public void setFacet(EclipseWtpFacet facet)
    Deprecated.